### Hierarchy

- ExternalServicesRepositoryImpl

### Implements

- ExternalServicesRepository

## Index

### Constructors

- constructor

### Methods

- callExternalService
- getExternalServices

## Constructors

### constructor

- new ExternalServicesRepositoryImpl(transport: HttpTransport): ExternalServicesRepositoryImpl

- - Defined in repository/services/ExternalServicesRepositoryImpl.ts:12

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns ExternalServicesRepositoryImpl

## Methods

### callExternalService

- callExternalService(serviceCall: ServiceCall): Promise<ServiceResponse>

- Implementation of ExternalServicesRepository.callExternalService

  - Defined in repository/services/ExternalServicesRepositoryImpl.ts:18

  #### Parameters

  - ##### serviceCall: ServiceCall

  #### Returns Promise<ServiceResponse>

### getExternalServices

- getExternalServices(): Promise<Array<ExternalService>>

- Implementation of ExternalServicesRepository.getExternalServices

  - Defined in repository/services/ExternalServicesRepositoryImpl.ts:26

  #### Returns Promise<Array<ExternalService>>

Generated using TypeDoc